MCP Tools Reference: gmailmcp.googleapis.com

Narzędzie: unlabel_thread

Usuwa etykiety z całego wątku na koncie Gmail uwierzytelnionego użytkownika. Jeśli nie masz pewności, jaki jest identyfikator wątku, najpierw użyj narzędzia search_threads. Jeśli nie masz pewności, jaki jest identyfikator etykiety użytkownika, najpierw użyj narzędzia list_labels.

Poniższy przykład pokazuje, jak za pomocą znaku curl wywołać narzędzie unlabel_thread MCP.

Żądanie curl
curl --location 'https://gmailmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "unlabel_thread",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schemat wejściowy

Komunikat żądania dla RPC UnlabelThread.

UnlabelThreadRequest

Zapis JSON
{
  "threadId": string,
  "labelIds": [
    string
  ]
}
Pola
threadId

string

Wymagane. Unikalny identyfikator wątku, z którego chcesz usunąć etykiety.

labelIds[]

string

Wymagane. Unikalne identyfikatory etykiet do usunięcia.

Schemat wyjściowy

Wiadomość odpowiedzi dla RPC UnlabelThread.

Adnotacje narzędzi

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌